<?php
/*
 * @version $Id: HEADER 14683 2011-06-11 06:26:34Z remi $
 -------------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2011 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org
 -------------------------------------------------------------------------

 LICENSE

 This file is part of GLPI.

 GLPI is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLPI is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLPI; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 --------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------

class PluginMassocsimportConfig extends CommonDBTM {


   function defineTabs($options=array()) {
      global $LANG;

      $tabs[0]=$LANG['title'][26];
      return $tabs;
   }


   function showConfigForm($target) {
      global $LANG;

      $this->getFromDB(1);

      echo "<div class='center'>";
      echo "<form name=cas action=\"$target\" method='post'>";
      echo "<table class='tab_cadre_fixe'>";
      echo "<tr><th colspan='4'>" . $LANG["massocsimport"]["config"][1]."</th></tr>";
      echo "<tr class='tab_bg_1'>";
      echo "<td class='right' colspan='2'> " .$LANG["massocsimport"]["config"][21]. " </td>";
      echo "<td colspan='2'>&nbsp;&nbsp;&nbsp;";
      Dropdown::showFromArray("ocsservers_id",$this->getAllOcsServers(),
                              array('value' => $this->fields["ocsservers_id"]));
      echo "</td></tr>";

      echo "<tr><th colspan='4'>" . $LANG["massocsimport"]["config"][16]."</th></tr>";

      echo "<tr class='tab_bg_1'>";
      echo "<td> " .$LANG["massocsimport"]["config"][5] . " </td><td>";
      Dropdown::showYesNo("is_displayempty", $this->fields["is_displayempty"]);
      echo "</td>";
      echo "<td rowspan='2' class='middle right'> " .$LANG['common'][25]."</td>";
      echo "<td class='center middle' rowspan='2'>";
      echo "<textarea cols='40' rows='2' name='comment' >".$this->fields["comment"]."</textarea>";
      echo "</td></tr>";

      echo "<tr class='tab_bg_1'>";
      echo "<td> " .$LANG["massocsimport"]["config"][14] . " </td><td>";
      autocompletionTextField($this,"delay_refresh", array('size' => 5));
      echo "&nbsp;".$LANG["massocsimport"]["time"][3]."</td>";
      echo "</tr>";

      echo "<tr class='tab_bg_2'><td colspan='4' class='center'>";
      echo "<input type='submit' name='update_config' class='submit' value=".$LANG["buttons"][2].">";
      echo "</td/></tr>";
      echo "<input type='hidden' name='id' value=1>";
      echo "</table><br>";

      echo "<table class='tab_cadre'>";
      echo "<tr class='tab_bg_2'>";
      echo "<th>&nbsp;" . $LANG["massocsimport"]["config"][7] ." ".
             $LANG["massocsimport"]["config"][8]."&nbsp;</th></tr>";

      echo "<tr class='tab_bg_2'>";
      echo "<td class='center'>";
      $status = $this->isScriptLocked();
      if (!$status) {
         echo $LANG["massocsimport"]["config"][9]."&nbsp;<img src='../pics/export.png'>";
      } else {
         echo $LANG["massocsimport"]["config"][10]."&nbsp;<img src='../pics/ok2.png'>";
      }
      echo "</td></tr>";

      echo "<tr class='tab_bg_2'><td colspan='2' class='center'>";
      echo "<input type='submit' name='".(!$status?"soft_lock":"soft_unlock")."' class='submit' ".
            "value='".(!$status?$LANG["massocsimport"]["config"][17]:$LANG["massocsimport"]["config"][18])."'>";
      echo "</td/></tr/></table><br>";
   }


   static function isScriptLocked() {
      return file_exists(PLUGIN_MASSOCSIMPORT_LOCKFILE);
   }


   function setScriptLock() {
      $fp = fopen(PLUGIN_MASSOCSIMPORT_LOCKFILE, "w+");
      fclose($fp);
   }


   function removeScriptLock() {

      if (file_exists(PLUGIN_MASSOCSIMPORT_LOCKFILE)) {
         unlink(PLUGIN_MASSOCSIMPORT_LOCKFILE);
      }
   }


   function getAllOcsServers() {
      global $DB, $LANG;

      $servers[-1] = $LANG["massocsimport"]["config"][22];
      $sql = "SELECT `id`, `name`
              FROM `glpi_ocsservers`";
      $result = $DB->query($sql);

      while ($conf = $DB->fetch_array($result)) {
         $servers[$conf["id"]] = $conf["name"];
      }

      return $servers;
   }


   function showOcsReportsConsole($id) {
      global $LANG;

      $ocsconfig = OcsServer::getConfig($id);

      echo "<div class='center'>";
      if ($ocsconfig["ocs_url"] != '') {
         echo "<iframe src='" . $ocsconfig["ocs_url"] . "/index.php?multi=4' width='95%' height='650' >";
      }
      echo "</div>";
   }


}

?>