<?php
/*
 * @version $Id: HEADER 14683 2011-06-11 06:26:34Z remi $
 -------------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2011 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org
 -------------------------------------------------------------------------

 LICENSE

 This file is part of GLPI.

 GLPI is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLPI is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLPI; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 --------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------

class PluginMassocsimportDetail extends CommonDBTM {


   function getSearchOptions() {
      global $LANG;

      $tab = array ();
      $tab['common'] = $LANG["massocsimport"]["common"][23];

      $tab[1]['table']     = $this->getTable();
      $tab[1]['field']     = 'ocsid';
      $tab[1]['linkfield'] = 'ocsid';
      $tab[1]['name']      = $LANG['ocsng'][45];
      $tab[1]['datatype']  = 'integer';

      $tab[2]['table']     = 'glpi_ocsservers';
      $tab[2]['field']     = 'name';
      $tab[2]['linkfield'] = 'ocsservers_id';
      $tab[2]['name']      = $LANG['ocsng'][29];

      $tab[3]['table']     = $this->getTable();
      $tab[3]['field']     = 'process_time';
      $tab[3]['linkfield'] = '';
      $tab[3]['name']      = $LANG["massocsimport"]["common"][31];
      $tab[3]['datatype']  = 'date';

      $tab[4]['table']     = $this->getTable();
      $tab[4]['field']     = 'action';
      $tab[4]['linkfield'] = '';
      $tab[4]['name']      = $LANG['rulesengine'][11];

      $tab[5]['table']     = 'glpi_plugin_massocsimport_threads';
      $tab[5]['field']     = 'processid';
      $tab[5]['linkfield'] = 'plugin_massocsimport_threads_id';
      $tab[5]['name']      = $LANG["massocsimport"]["common"][32];
      $tab[5]['datatype']  = 'integer';

      $tab[6]['table']     = 'glpi_computers';
      $tab[6]['field']     = 'name';
      $tab[6]['linkfield'] = 'computers_id';
      $tab[6]['name']      = $LANG['help'][25];

      $tab[7]['table']     = $this->getTable();
      $tab[7]['field']     = 'threadid';
      $tab[7]['linkfield'] = 'threadid';
      $tab[7]['name']      = $LANG["massocsimport"]["common"][9];
      $tab[7]['datatype']  = 'integer';

      return $tab;
   }

   function logProcessedComputer ($ocsid, $ocsservers_id, $action, $threadid, $threads_id) {

      $input["ocsid"] = $ocsid;
      $input["threadid"] = $threadid;
      $input["plugin_massocsimport_threads_id"] = $threads_id;
      $input["ocsservers_id"] = $ocsservers_id;
      $input["action"] = $action;
      $input["computers_id"] = $this->getGlpiIDByOcsID($ocsid,$ocsservers_id);
      $input["process_time"] = date("Y-m-d H:i:s");

      $this->add($input);
   }


   static function deleteThreadDetailsByProcessID($threads_id) {
      global $DB;

      $query ="DELETE
               FROM `glpi_plugin_massocsimport_details`
               WHERE `plugin_massocsimport_threads_id` = '$threads_id'";
      $DB->query($query);
   }


   static function giveActionNameByActionID($action) {
      global $LANG;

      switch ($action) {
         case OcsServer::COMPUTER_FAILED_IMPORT :
            return $LANG["massocsimport"]["common"][18];

         case OcsServer::COMPUTER_IMPORTED :
            return $LANG["massocsimport"]["common"][5];

         case OcsServer::COMPUTER_LINKED :
            return $LANG["massocsimport"]["common"][19];

         case OcsServer::COMPUTER_NOTUPDATED :
            return $LANG["massocsimport"]["common"][20];

         case OcsServer::COMPUTER_SYNCHRONIZED :
            return $LANG["massocsimport"]["common"][6];
      }
   }


   function getGlpiIDByOcsID($ocsid,$ocsservers_id) {
      global $DB;

      $query = "SELECT `computers_id`
                FROM `glpi_ocslinks`
                WHERE `ocsservers_id` = '$ocsservers_id'
                      AND `ocsid` = '$ocsid'";
      $result = $DB->query($query);

      if ($DB->numrows($result) == 1) {
         return $DB->result($result,0,"computers_id");
      }
      return 0;
   }


}
?>