<?php

/*
 * @version $Id: HEADER 14683 2011-06-11 06:26:34Z remi $
 -------------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2011 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org
 -------------------------------------------------------------------------

 LICENSE

 This file is part of GLPI.

 GLPI is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLPI is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLPI; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 --------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------

class PluginMassocsimportNotimported extends CommonDBTM {

   function canCreate() {
      return haveRight("ocsng", "w");;
   }

   function canView() {
      return haveRight("logs", "r");;
   }

   function getSearchOptions() {
      global $LANG;

      $tab = array ();
      $tab['common'] = $LANG["massocsimport"]["common"][23];

      $tab[1]['table']     = $this->getTable();
      $tab[1]['field']     = 'ocsid';
      $tab[1]['linkfield'] = '';
      $tab[1]['name']      = $LANG['ocsng'][45];

      $tab[2]['table']     = $this->getTable();
      $tab[2]['field']     = 'name';
      $tab[2]['linkfield'] = '';
      $tab[2]['name']      = $LANG['registry'][6];

      $tab[3]['table']     = $this->getTable();
      $tab[3]['field']     = 'useragent';
      $tab[3]['linkfield'] = '';
      $tab[3]['name']      = $LANG['ocsng'][49];

      $tab[4]['table']     = $this->getTable();
      $tab[4]['field']     = 'ocs_deviceid';
      $tab[4]['linkfield'] = '';
      $tab[4]['name']      = $LANG["massocsimport"]["common"][22];

      $tab[5]['table']     = 'glpi_ocsservers';
      $tab[5]['field']     = 'name';
      $tab[5]['linkfield'] = 'ocsservers_id';
      $tab[5]['name']      = $LANG['ocsng'][29];

      $tab[6]['table']     = $this->getTable();
      $tab[6]['field']     = 'tag';
      $tab[6]['linkfield'] = '';
      $tab[6]['name']      = $LANG['ocsconfig'][39];

      $tab[7]['table']     = $this->getTable();
      $tab[7]['field']     = 'ipaddr';
      $tab[7]['linkfield'] = '';
      $tab[7]['name']      = $LANG['networking'][14];

      $tab[8]['table']     = $this->getTable();
      $tab[8]['field']     = 'domain';
      $tab[8]['linkfield'] = '';
      $tab[8]['name']      = $LANG['setup'][89];

      $tab[9]['table']     = $this->getTable();
      $tab[9]['field']     = 'last_inventory';
      $tab[9]['linkfield'] = '';
      $tab[9]['name']      = $LANG["massocsimport"]["common"][24];
      $tab[9]['datatype']  = 'datetime';

      return $tab;
   }


   function logNotImported($ocsservers_id,$ocsid) {
      global $DBocs,$DB;

      OcsServer::checkOCSconnection($ocsservers_id);

      $query = "SELECT *
                FROM `hardware`, `accountinfo`
                WHERE (`accountinfo`.`HARDWARE_ID` = `hardware`.`ID`
                       AND `hardware`.`ID` = '$ocsid')";
      $result = $DBocs->query($query);
      if ($result && $DBocs->numrows($result)) {
         $line = $DBocs->fetch_array($result);
         $input["name"] = $line["NAME"];
         $input["domain"] = $line["WORKGROUP"];
         $input["tag"] = $line["TAG"];
         $input["ocs_deviceid"] = $line["DEVICEID"];
         $input["ipaddr"] = $line["IPADDR"];
         $input["ocsservers_id"] = $ocsservers_id;
         $input["ocsid"] = $ocsid;
         $input["last_inventory"] = $line["LASTCOME"];
         $input["useragent"]= $line["USERAGENT"];
         $this->add($input);
      }
   }


   function cleanNotImported($ocsservers_id = -1, $ocsid = -1) {
      global $DB;

      $first = true;

      $sql = "DELETE
              FROM `".$this->getTable()."`";

      if ($ocsservers_id != -1) {
         $sql .= " WHERE `ocsservers_id` = '$ocsservers_id'";
         $first = false;
      }
      if ($ocsid != -1) {
         $sql .= ($first?" WHERE":" AND")." `ocsid` = '$ocsid'";
         $first = false;
      }
      if ($first) {
         // Use truncate to reset id
         $sql = "TRUNCATE `".$this->getTable()."`";
      }
      $result = $DB->query($sql);

      return ($result ? $DB->affected_rows() : -1);
   }


   function importComputer($not_imported_id,$entity) {

      if ($this->getFromDB($not_imported_id)) {
         $ret = OcsServer::processComputer($this->fields["ocsid"],$this->fields["ocsservers_id"], 0,
                                           $_POST["entity"], 0, 1);

         // don't delete computer from notimported table if import failed
         if ($ret != OcsServer::COMPUTER_FAILED_IMPORT) {
            $this->cleanNotImported($this->fields["ocsservers_id"], $this->fields["ocsid"]);
         }
      }
   }


   function deleteNotImportedComputer($not_imported_id) {

      if ($this->getFromDB($not_imported_id)) {
         PluginUninstallUninstall::deleteComputerInOCS($this->fields["ocsid"], $this->fields["ocsservers_id"]);
         $fields["id"]=$not_imported_id;
         $this->delete($fields);
      }
   }


}

?>