<?php

/*
 * @version $Id: HEADER 14683 2011-06-11 06:26:34Z remi $
 -------------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2011 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org
 -------------------------------------------------------------------------

 LICENSE

 This file is part of GLPI.

 GLPI is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLPI is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLPI; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 --------------------------------------------------------------------------
*/

// Original Author of file: Walid Nouh
// Purpose of file:
// ----------------------------------------------------------------------
define("PLUGIN_MASSOCSIMPORT_STATE_STARTED", 1);
define("PLUGIN_MASSOCSIMPORT_STATE_RUNNING", 2);
define("PLUGIN_MASSOCSIMPORT_STATE_FINISHED", 3);

define("PLUGIN_MASSOCSIMPORT_LOCKFILE", GLPI_LOCK_DIR . "/massocsimport.lock");

function plugin_init_massocsimport() {
   global $PLUGIN_HOOKS, $CFG_GLPI, $LANG;

   $plugin = new Plugin;

   // Params : plugin name - string type - id - Array of attributes
   Plugin::registerClass('PluginMassocsimportNotimported',
                         array ('massiveaction_noupdate_types' => true,
                                'massiveaction_nodelete_types' => true));

   Plugin::registerClass('PluginMassocsimportDetail',
                         array ('massiveaction_noupdate_types' => true,
                                'massiveaction_nodelete_types' => true));

   Plugin::registerClass('PluginMassocsimportThread');

   Plugin::registerClass('PluginMassocsimportConfig');

   Plugin::registerClass('PluginMassocsimportServer');


   $PLUGIN_HOOKS['change_profile']['massocsimport'] = 'plugin_massocsimport_changeprofile';

   if (haveRight("ocsng", "w")) {
      // Config page
      if ($plugin->isActivated("massocsimport")) {
         $PLUGIN_HOOKS['config_page']['massocsimport'] = 'front/config.form.php';
      }
      $PLUGIN_HOOKS['use_massive_action']['massocsimport'] = 1;
      $image = "<img src='".$CFG_GLPI["root_doc"]."/pics/stats_item.png' title='".
                $LANG["massocsimport"]["common"][1]."' alt='".$LANG["massocsimport"]["common"][1]."'>";
      $PLUGIN_HOOKS['submenu_entry']['massocsimport'][$image] = 'front/thread.php';
      $image = "<img src='".$CFG_GLPI["root_doc"]."/pics/puce-delete2.png' title='".
                $LANG["massocsimport"]["common"][18]."' alt='".$LANG["massocsimport"]["common"][18]."'>";
      $PLUGIN_HOOKS['submenu_entry']['massocsimport'][$image]
                   = 'front/notimported.php';
      $image = "<img src='".$CFG_GLPI["root_doc"]."/pics/rdv.png' title='".
                $LANG["massocsimport"]["common"][21]."' alt='".$LANG["massocsimport"]["common"][21]."'>";
      $PLUGIN_HOOKS['submenu_entry']['massocsimport'][$image]
                   = 'front/detail.php';

      if (haveRight("logs", "r")) {
         $PLUGIN_HOOKS['menu_entry']['massocsimport'] = 'front/thread.php';
         $PLUGIN_HOOKS['submenu_entry']['massocsimport']['config']
                      = 'front/config.form.php';
      }
   }

   $PLUGIN_HOOKS['headings']['massocsimport'] = 'plugin_get_headings_massocsimport';
   $PLUGIN_HOOKS['headings_action']['massocsimport'] = 'plugin_headings_actions_massocsimport';

}


function plugin_version_massocsimport() {
   global $LANG;

   return array ('name' => $LANG["massocsimport"]["name"][1],
                 'minGlpiVersion' => '0.78',
                 'version' => '1.4.2',
                 'author' => 'Remi Collet & Nelly Lasson & Walid Nouh',
                 'homepage' => 'https://forge.indepnet.net/projects/massocsimport');
}


function plugin_massocsimport_check_prerequisites() {

   if (version_compare(GLPI_VERSION,'0.78','lt') || version_compare(GLPI_VERSION,'0.80','ge')) {
      echo "This plugin requires GLPI 0.78";
   }
   return true;
}


function plugin_massocsimport_check_config() {
   return true;
}

?>
